#include "frame.h"
#include <inti/gtk/frame.h>

FrameWindow::FrameWindow()
{
	set_title("Frame Example");
	set_size_request(300, 300);

	// Sets the border width of the window.
	set_border_width(10);

	// Create a Frame
	Gtk::Frame *frame = new Gtk::Frame;
	add(*frame);

	// Set the frame's label
	frame->set_label("Inti Frame Widget");

	// Align the label at the right of the frame
	frame->set_label_align(1.0, 0.0);

	// Set the style of the frame
	frame->set_shadow_type(Gtk::SHADOW_ETCHED_OUT);
	frame->show();
}

FrameWindow::~FrameWindow()
{
}

INTI_MAIN(FrameWindow)

